diff -Naur espgs-7.05.6.orig/lib/gs_res.ps.in espgs-7.05.6/lib/gs_res.ps.in
--- espgs-7.05.6.orig/lib/gs_res.ps.in  2002-12-28 07:01:36.000000000 +0900
+++ espgs-7.05.6/lib/gs_res.ps.in	2002-12-28 07:03:20.000000000 +0900
@@ -245,8 +245,8 @@
   /pssystemparams 10 dict readonly def
 } if
 pssystemparams begin
-  /FontResourceDir (@datadir@/ghostscript/fonts/) readonly .forcedef	% pssys'params is r-o
-  /GenericResourceDir (@datadir@/ghostscript/) readonly .forcedef	% pssys'params is r-o
+  /FontResourceDir (@datadir@/ghostscript/Resource/Font/) readonly .forcedef	% pssys'params is r-o
+  /GenericResourceDir (@datadir@/ghostscript/Resource/) readonly .forcedef	% pssys'params is r-o
   /GenericResourcePathSep (/) readonly .forcedef	% pssys'params is r-o
 end
 end
diff -ruN espgs-7.07.1.orig/src/configure espgs-7.07.1/src/configure
--- espgs-7.07.1-orig/configure	2003-10-10 04:54:02.000000000 +0900
+++ espgs-7.07.1/configure	2006-02-28 16:09:48.000000000 +0900
@@ -5193,7 +5193,7 @@
 
 	if test "x$CUPSCONFIG" != x; then
 	    #	    LIBS="`$CUPSCONFIG --ldflags` `$CUPSCONFIG --static --image --libs | sed -e '1,$s/-lssl//'` $LIBS"
-	    LIBS="`$CUPSCONFIG --ldflags` `$CUPSCONFIG --image --libs` $LIBS"
+	    LIBS="`$CUPSCONFIG --ldflags` `$CUPSCONFIG --image --libs | sed -e '1,$s/-lssl//' -e '1,$s/-lcrypto//'` $LIBS"
 	    CFLAGS="`$CUPSCONFIG --cflags` $CFLAGS"
 	    cups_serverroot="`$CUPSCONFIG --serverroot`"
 	    cups_serverbin="`$CUPSCONFIG --serverbin`"
@@ -5568,11 +5568,11 @@
 echo "${ECHO_T}yes" >&6
 
         OMNIDEVS='$(DD)omni.dev'
-        CFLAGS="$CFLAGS `$GLIB_CONFIG --cflags gmodule`"
-        LIBS="$LIBS `$GLIB_CONFIG --libs gmodule`"
+        CFLAGS="$CFLAGS `$GLIB_CONFIG --cflags gmodule-2.0`"
+        LIBS="$LIBS `$GLIB_CONFIG --libs gmodule-2.0`"
 
         if test -n "$GCC"; then
-	    LIBS="$LIBS -lstdc++"
+	    :
 	fi
     else
         echo "$as_me:$LINENO: result: no" >&5
diff -ruN espgs-7.07.1-orig/pstoraster/cups.mak espgs-7.07.1/pstoraster/cups.mak
--- espgs-7.07.1-orig/pstoraster/cups.mak	2003-08-21 00:12:43.000000000 +0900
+++ espgs-7.07.1/pstoraster/cups.mak	2006-02-25 15:52:09.000000000 +0900
@@ -24,9 +24,9 @@
 
 cups_=	$(GLOBJ)gdevcups.$(OBJ)
 
-CUPSSERVER= $(install_prefix)`cups-config --serverbin`
-CUPSCONFIG= $(install_prefix)`cups-config --serverroot`
-CUPSDATA= $(install_prefix)`cups-config --datadir`
+CUPSSERVER= $(libdir)/cups
+CUPSCONFIG= $(prefix)/etc/cups
+CUPSDATA= $(datadir)/cups
 
 $(DD)cups.dev:	$(cups_) $(GLD)page.dev
 	$(SETPDEV2) $(DD)cups $(cups_)
diff -ruN espgs-7.07.1-orig/src/unixinst.mak espgs-7.07.1/src/unixinst.mak
--- espgs-7.07.1-orig/src/unixinst.mak	Sun Jul 21 06:03:21 2002
+++ espgs-7.07.1-patched/src/unixinst.mak	Tue Mar 22 16:49:19 2005
@@ -44,6 +44,7 @@
 bdftops dvipdf eps2eps font2c \
 pdf2dsc pdf2ps pdfopt pf2afm pfbtopfa printafm \
 ps2ascii ps2epsi ps2pdf ps2pdf12 ps2pdf13 ps2pdf14 ps2pdfwr ps2ps wftopfa \
+ps2jpdf convert-euc \
 fixmswrd.pl lprsetup.sh pj-gs.sh pv.sh sysvlp.sh unix-lpr.sh ;\
 	do if ( test -f $(PSLIBDIR)/$$f ); then $(INSTALL_PROGRAM) $(PSLIBDIR)/$$f $(scriptdir); fi;\
 	done'
@@ -65,6 +66,7 @@
 	$(SH) -c 'for f in \
 Fontmap Fontmap.GS \
 CIDFnmap CIDFnmap.Ore CIDFnmap.ARP CIDFnmap.Bae CIDFnmap.Koc \
+CIDFnmap.IPA CIDFnmap.Saz CIDFnmap.OSX \
 CIDFnmap.Sol CIDFnmap.Win \
 CIDFnmap.CJK \
 CIDFnmap.b5 CIDFnmap.gb CIDFnmap.ksx CIDFnmap.sj \
diff -Naur espgs-7.07.1-orig/lib/CIDFnmap espgs-7.07.1/lib/CIDFnmap
--- espgs-7.07.1-orig/lib/CIDFnmap	2002-04-23 20:58:33.000000000 +0900
+++ espgs-7.07.1/lib/CIDFnmap	2006-02-26 14:45:36.000000000 +0900
@@ -139,10 +139,13 @@
 %(CIDFnmap.ARP) .runlibfile
 %(CIDFnmap.Bae) .runlibfile
 %(CIDFnmap.Koc) .runlibfile
+(CIDFnmap.IPA) .runlibfile
+%(CIDFnmap.Saz) .runlibfile
 %(CIDFnmap.Sol) .runlibfile
 %(CIDFnmap.Win) .runlibfile
+(CIDFnmap.OSX) .runlibfile
 
-%(CIDFnmap.CJK) .runlibfile
+(CIDFnmap.CJK) .runlibfile
 
 % native CIDFontName (BIG5) in traditional Chinese
 %(CIDFnmap.b5) .runlibfile
diff -Naur espgs-7.07.1-orig/lib/CIDFnmap.CJK espgs-7.07.1/lib/CIDFnmap.CJK
--- espgs-7.07.1-orig/lib/CIDFnmap.CJK	2002-04-23 20:58:33.000000000 +0900
+++ espgs-7.07.1/lib/CIDFnmap.CJK	2006-02-26 14:45:13.000000000 +0900
@@ -27,36 +27,48 @@
 %/Adobe-CNS1		/ShanHeiSun-Light	; % CIDFnmap.ARP
 %/Adobe-CNS1		/ming			; % CIDFnmap.Sol
 %/Adobe-CNS1		/MingLiU		; % CIDFnmap.Win
+/Adobe-CNS1		/PMingLiU		; % CIDFnmap.OSX
 %/Adobe-CNS1		/SimSun-18030-Adobe-CNS1	; % CIDFnmap.Win
+/Adobe-CNS1		/SimSun-Adobe-CNS1	; % CIDFnmap.OSX
 
 %/Adobe-GB1		/BousungEG-Light-GB	; % CIDFnmap.ARP
 %/Adobe-GB1		/zycjksun		; % CIDFnmap.Sol
 %/Adobe-GB1		/SimSun			; % CIDFnmap.Win
+/Adobe-GB1		/SimSun			; % CIDFnmap.OSX
 
 %/Adobe-Japan1		/WadaMin-Regular	; % CIDFnmap.Ore
 %/Adobe-Japan1		/HG-MinchoL		; % CIDFnmap.Sol
+/Adobe-Japan1		/IPAMincho		; % CIDFnmap.IPA
 %/Adobe-Japan1		/Kochi-Mincho		; % CIDFnmap.Koc
-%/Adobe-Japan1		/MS-Mincho		; % CIDFnmap.Win
+%/Adobe-Japan1		/Sazanami-Mincho-Regular	; % CIDFnmap.Saz
+%/Adobe-Japan1		/MS-Mincho		; % CIDFnmap.Win, CIDFnmap.OSX
+%/Adobe-Japan1		/HiraMinPro-W3		; % CIDFnmap.OSX
 
 %/Adobe-Japan2		/WadaMin-RegularH	; % CIDFnmap.Ore
 %/Adobe-Japan2		/HeiseiMin-W3H		; % CIDFnmap.Sol
-%/Adobe-Japan2		/MS-Mincho-Adobe-Japan2		; % CIDFnmap.Win
+/Adobe-Japan2		/IPAMincho		; % CIDFnmap.IPA
+%/Adobe-Japan2		/MS-Mincho-Adobe-Japan2	; % CIDFnmap.Win, CIDFnmap.OSX
+%/Adobe-Japan2		/HiraMinPro-W3		; % CIDFnmap.OSX
 
 %/Adobe-Korea1		/Munhwa-Regular		; % CIDFnmap.Ore
 %/Adobe-Korea1		/Baekmuk-Batang		; % CIDFnmap.Bae
 %/Adobe-Korea1		/Myeongjo		; % CIDFnmap.Sol
 %/Adobe-Korea1		/Batang			; % CIDFnmap.Win
+/Adobe-Korea1		/Batang			; % CIDFnmap.OSX
 
 %
 % Convenient aliases for PS files on Traditional Chinese PostScript printer
 %
 %/MSung-Light		/MOESung-Regular	; % CIDFnmap.Ore
 %/MSung-Light		/SimSun-18030-Adobe-CNS1	; % CIDFnmap.Win
+/MSung-Light		/SimSun-Adobe-CNS1	; % CIDFnmap.OSX
 %/MSung-Medium		/ShanHeiSun-Light	; % CIDFnmap.ARP
+/MSung-Medium		/PMingLiU		; % CIDFnmap.OSX
 %/MHei-Medium		/ShanHeiSun-Light	; % CIDFnmap.ARP
 %/MHei-Medium		/hei			; % CIDFnmap.Sol
 %/MKai-Medium		/ZenKai-Medium		; % CIDFnmap.ARP
 %/MKai-Medium		/kai			; % CIDFnmap.Sol
+/MKai-Medium		/STKaiti-Regular	; % CIDFnmap.OSX
 
 %
 % Convenient aliases for PS files on Simplified Chinese PostScript printer
@@ -64,8 +76,10 @@
 %/STSong-Light		/BousungEG-Light-GB	; % CIDFnmap.ARP
 %/STSong-Light		/zycjksun		; % CIDFnmap.Sol
 %/STSong-Light		/SimSun			; % CIDFnmap.Win
+/STSong-Light		/SimSun			; % CIDFnmap.OSX
 %/STFangsong-Light	/zycjkfangs		; % CIDFnmap.Sol
 %/STFangsong-Light	/SimSun			; % CIDFnmap.Win
+/STFangsong-Light	/SimSun			; % CIDFnmap.OSX
 %/STHeiti-Regular	/zycjkhei		; % CIDFnmap.Sol
 %/STHeiti-Regular	/SimHei			; % CIDFnmap.Win
 %/STKaiti-Regular	/GBZenKai-Medium	; % CIDFnmap.ARP
@@ -76,22 +90,34 @@
 %
 %/Ryumin-Light		/WadaMin-Regular	; % CIDFnmap.Ore
 %/Ryumin-Light		/HG-MinchoL		; % CIDFnmap.Sol
+/Ryumin-Light		/IPAMincho		; % CIDFnmap.IPA
 %/Ryumin-Light		/Kochi-Mincho		; % CIDFnmap.Koc
-%/Ryumin-Light		/MS-Mincho		; % CIDFnmap.Win
+%/Ryumin-Light		/Sazanami-Mincho-Regular	; % CIDFnmap.Saz
+%/Ryumin-Light		/MS-Mincho		; % CIDFnmap.Win, CIDFnmap.OSX
+%/Ryumin-Light		/HiraMinPro-W3		; % CIDFnmap.OSX
 %/GothicBBB-Medium	/WadaGo-Bold		; % CIDFnmap.Ore
 %/GothicBBB-Medium	/HG-GothicB		; % CIDFnmap.Sol
+/GothicBBB-Medium	/IPAGothic		; % CIDFnmap.IPA
 %/GothicBBB-Medium	/Kochi-Gothic		; % CIDFnmap.Koc
-%/GothicBBB-Medium	/MS-Gothic		; % CIDFnmap.Win
-%/HeiseiMin-W3		/MS-Mincho		; % CIDFnmap.Win
-%/HeiseiKakuGo-W5	/MS-Gothic		; % CIDFnmap.Win
+%/GothicBBB-Medium	/Sazanami-Gothic-Regular	; % CIDFnmap.Saz
+%/GothicBBB-Medium	/MS-Gothic		; % CIDFnmap.Win, CIDFnmap.OSX
+%/GothicBBB-Medium	/HiraKakuPro-W3		; % CIDFnmap.OSX
+/HeiseiMin-W3		/IPAMincho		; % CIDFnmap.IPA
+%/HeiseiMin-W3		/MS-Mincho		; % CIDFnmap.Win, CIDFnmap.OSX
+%/HeiseiMin-W3		/HiraMinPro-W3		; % CIDFnmap.OSX
+/HeiseiKakuGo-W5	/IPAGothic		; % CIDFnmap.IPA
+%/HeiseiKakuGo-W5	/MS-Gothic		; % CIDFnmap.Win, CIDFnmap.OSX
+%/HeiseiKakuGo-W5	/HiraKakuPro-W3		; % CIDFnmap.OSX
 
 %/HeiseiMin-W3H		/WadaMin-RegularH	; % CIDFnmap.Ore
-%/HeiseiMin-W3H		/MS-Mincho-Adobe-Japan2	; % CIDFnmap.Win
+%/HeiseiMin-W3H		/MS-Mincho-Adobe-Japan2	; % CIDFnmap.Win, CIDFnmap.OSX
 %/HeiseiKakuGo-W5H	/WadaMaruGo-RegularH	; % CIDFnmap.Ore
-%/HeiseiKakuGo-W5H	/MS-Gothic-Adobe-Japan2	; % CIDFnmap.Win
+%/HeiseiKakuGo-W5H	/MS-Gothic-Adobe-Japan2	; % CIDFnmap.Win, CIDFnmap.OSX
 
-%/KozMin-Regular	/MS-Mincho		; % CIDFnmap.Win
-%/KozMinPro-Regular	/MS-PMincho		; % CIDFnmap.Win
+%/KozMin-Regular	/MS-Mincho		; % CIDFnmap.Win, CIDFnmap.OSX
+/KozMin-Regular		/IPAMincho		; % CIDFnmap.IPA
+%/KozMinPro-Regular	/MS-PMincho		; % CIDFnmap.Win, CIDFnmap.OSX
+/KozMinPro-Regular	/IPAPMincho		; % CIDFnmap.IPA
 
 %
 % Convenient aliases for PS files on Korean PostScript printer
@@ -100,6 +126,7 @@
 %/HYGoThic-Medium	/Baekmuk-Dotum		; % CIDFnmap.Bae
 %/HYGoThic-Medium	/Gothic			; % CIDFnmap.Sol
 %/HYGoThic-Medium	/Dotum			; % CIDFnmap.Win
+/HYGoThic-Medium	/Gulim			; % CIDFnmap.OSX
 %/HYGungSo-Bold		/Gungsuh		; % CIDFnmap.Win
 %/HYKHeadLine-Bold	/Baekmuk-Headline	; % CIDFnmap.Bae
 %/HYKHeadLine-Medium	/Baekmuk-Headline	; % CIDFnmap.Bae
@@ -107,183 +134,188 @@
 %/HYSMyeongJo-Medium	/Baekmuk-Batang		; % CIDFnmap.Bae
 %/HYSMyeongJo-Medium	/Myeongjo		; % CIDFnmap.Sol
 %/HYSMyeongJo-Medium	/Batang			; % CIDFnmap.Win
+/HYSMyeongJo-Medium	/Batang			; % CIDFnmap.OSX
 %/HYRGoThic-Medium	/Baekmuk-Gulim		; % CIDFnmap.Bae
 %/HYRGoThic-Medium	/RoundedGothic		; % CIDFnmap.Sol
 %/HYRGoThic-Medium	/Gulim			; % CIDFnmap.Win
+/HYRGoThic-Medium	/Gulim			; % CIDFnmap.OSX
 
 %
 % Convenient aliases for PS files on Traditional Chinese Acrobat Distiller
 %
-%/DFKaiShu-SB-Estd-BF	/MKai-Medium		;
-%/LiGothicMed		/MKai-Medium		;
-%/LiSungLight		/MSung-Light		;
-%/Taipei		/Adobe-CNS1		;
+/DFKaiShu-SB-Estd-BF	/MKai-Medium		;
+/LiGothicMed		/MKai-Medium		;
+/LiSungLight		/MSung-Light		;
+/Taipei			/Adobe-CNS1		;
 
 %
 % Convenient aliases for PS files on Simplified Chinese Acrobat Distiller
 %
-%/Beijing		/Adobe-GB1		;
-%/SIL-FangSong-		/STFangsong-Light	;
-%/SIL-FangSong-Reg-Jian	/STFangsong-Light	;
-%/SIL-Hei-Med-Jian	/STHeiti-Regular	;
-%/SIL-Kai-		/STKaiti-Regular	;
-%/SIL-Kai-Reg-Jian	/STKaiti-Regular	;
-%/SIL-Song-Reg-Jian	/STSong-Light		;
+/Beijing		/Adobe-GB1		;
+/SIL-FangSong-		/STFangsong-Light	;
+/SIL-FangSong-Reg-Jian	/STFangsong-Light	;
+/SIL-Hei-Med-Jian	/STHeiti-Regular	; % CIDFnmap.OSX
+/SIL-Kai-		/STKaiti-Regular	; % CIDFnmap.OSX
+/SIL-Kai-Reg-Jian	/STKaiti-Regular	; % CIDFnmap.OSX
+/SIL-Song-Reg-Jian	/STSong-Light		;
 
 %
 % Convenient aliases for PS files on Japanese Acrobat Distiller
 %
-%/ChuGothicBBB-Medium	/GothicBBB-Medium	;
-%/ChuGothicBBB-Medium-Mono	/MS-Gothic	; % CIDFnmap.Win
-%/FutoGoB101-Bold	/GothicBBB-Medium	;
-%/FutoMinA101-Bold	/Ryumin-Light		;
-%/GothicMB101-Bold	/GothicBBB-Medium	;
-%/GothicMB101-hea	/GothicBBB-Medium	;
-%/GothicMB101-Ult	/GothicBBB-Medium	;
-%/HeiseiKakuGo-W3	/HeiseiKakuGo-W5	;
-%/HeiseiKakuGo-W7	/HeiseiKakuGo-W5	;
-%/HeiseiKakuGo-W9	/HeiseiKakuGo-W5	;
-%/HeiseiKakuGothic-W5	/HeiseiKakuGo-W5	;
-%/HeiseiMaruGo-W4	/HeiseiKakuGo-W5	;
-%/HeiseiMin-W5		/HeiseiMin-W3		;
-%/HeiseiMin-W7		/HeiseiMin-W3		;
-%/HeiseiMin-W9		/HeiseiMin-W3		;
-%/HeiseiMincho-W3	/HeiseiMin-W3		;
-%/HonMincho-M		/Ryumin-Light		;
-%/Jun34-Medium		/Ryumin-Light		;
-%/Jun101-Light		/Ryumin-Light		;
-%/Jun501-Bold		/Ryumin-Light		;
-%/KozMin-Bold		/GothicBBB-Medium	;
-%/KozMin-ExtraLight	/Ryumin-Light		;
-%/KozMin-Heavy		/GothicBBB-Medium	;
-%/KozMin-Light		/Ryumin-Light		;
-%/KozMin-Medium		/Ryumin-Light		;
-%/KyokaICA-Light	/Adobe-Japan1		;
-%/KyokaICA-Medium	/Adobe-Japan1		;
-%/KyokaICA-regular	/Adobe-Japan1		;
-%/LogoArl-Bold		/Adobe-Japan1		;
-%/LogoArl-Light		/Adobe-Japan1		;
-%/LogoArl-Medium	/Adobe-Japan1		;
-%/LogoArl-Ultra		/Adobe-Japan1		;
-%/LogoCut-Bold		/Adobe-Japan1		;
-%/LogoCut-Light		/Adobe-Japan1		;
-%/LogoCut-Medium	/Adobe-Japan1		;
-%/LogoCut-Ultra		/Adobe-Japan1		;
-%/LogoLine-Bold		/Adobe-Japan1		;
-%/LogoLine-Light	/Adobe-Japan1		;
-%/LogoLine-Medium	/Adobe-Japan1		;
-%/LogoLine-Ultra	/Adobe-Japan1		;
-%/MaruGothic-M		/GothicBBB-Medium	;
-%/MidashiGo-MB31	/GothicBBB-Medium	;
-%/MidashiMin-MA31	/Ryumin-Light		;
-%/Osaka			/Ryumin-Light		;
-%/Osaka-Mono		/MS-Mincho		; % CIDFnmap.Win
-%/Ryumin-Bold		/Ryumin-Light		;
-%/Ryumin-heavy		/Ryumin-Light		;
-%/Ryumin-Light-KL	/Ryumin-Light		;
-%/Ryumin-Light-KL-Mono	/MS-Mincho		; % CIDFnmap.Win
-%/Ryumin-Medium		/Ryumin-Light		;
-%/Ryumin-regular	/Ryumin-Light		;
-%/Ryumin-Ultra		/Ryumin-Light		;
-%/ShinGo-Bold		/GothicBBB-Medium	;
-%/ShinGo-Light		/GothicBBB-Medium	;
-%/ShinGo-Medium		/GothicBBB-Medium	;
-%/ShinGo-regular	/GothicBBB-Medium	;
-%/ShinGo-Ultra		/GothicBBB-Medium	;
-%/ShinseiKai-CBSK1	/Ryumin-Light		;
-%/TBKomachiG-B		/Adobe-Japan1		;
-%/TBKomachiG-DB		/Adobe-Japan1		;
-%/TBKomachiG-E		/Adobe-Japan1		;
-%/TBKomachiG-hv		/Adobe-Japan1		;
-%/TBKomachiG-M		/Adobe-Japan1		;
-%/TBKomachiG-R		/Adobe-Japan1		;
-%/TBKomachiM-DE		/Adobe-Japan1		;
-%/TBKomachiM-E		/Adobe-Japan1		;
-%/TBKomachiM-hv		/Adobe-Japan1		;
-%/TBKomachiM-M		/Adobe-Japan1		;
-%/TBKoudoukenG-B	/Adobe-Japan1		;
-%/TBKoudoukenG-DB	/Adobe-Japan1		;
-%/TBKoudoukenG-E	/Adobe-Japan1		;
-%/TBKoudoukenG-hv	/Adobe-Japan1		;
-%/TBKoudoukenG-M	/Adobe-Japan1		;
-%/TBKoudoukenG-R	/Adobe-Japan1		;
-%/TBKoudoukenM-DE	/Adobe-Japan1		;
-%/TBKoudoukenM-E	/Adobe-Japan1		;
-%/TBKoudoukenM-hv	/Adobe-Japan1		;
-%/TBKoudoukenM-M	/Adobe-Japan1		;
-%/TBRyokanG-B		/Adobe-Japan1		;
-%/TBRyokanG-DB		/Adobe-Japan1		;
-%/TBRyokanG-E		/Adobe-Japan1		;
-%/TBRyokanG-hv		/Adobe-Japan1		;
-%/TBRyokanG-M		/Adobe-Japan1		;
-%/TBRyokanG-R		/Adobe-Japan1		;
-%/TBRyokanM-DE		/Adobe-Japan1		;
-%/TBRyokanM-E		/Adobe-Japan1		;
-%/TBRyokanM-hv		/Adobe-Japan1		;
-%/TBRyokanM-M		/Adobe-Japan1		;
-%/TBTsukijiG-B		/Adobe-Japan1		;
-%/TBTsukijiG-DB		/Adobe-Japan1		;
-%/TBTsukijiG-E		/Adobe-Japan1		;
-%/TBTsukijiG-hv		/Adobe-Japan1		;
-%/TBTsukijiG-M		/Adobe-Japan1		;
-%/TBTsukijiG-R		/Adobe-Japan1		;
-%/TBTsukijiM-DE		/Adobe-Japan1		;
-%/TBTsukijiM-E		/Adobe-Japan1		;
-%/TBTsukijiM-hv		/Adobe-Japan1		;
-%/TBTsukijiM-M		/Adobe-Japan1		;
-%/TBYukinariG-B		/Adobe-Japan1		;
-%/TBYukinariG-DB	/Adobe-Japan1		;
-%/TBYukinariG-E		/Adobe-Japan1		;
-%/TBYukinariG-hv	/Adobe-Japan1		;
-%/TBYukinariG-M		/Adobe-Japan1		;
-%/TBYukinariG-R		/Adobe-Japan1		;
-%/TBYukinariM-DE	/Adobe-Japan1		;
-%/TBYukinariM-E		/Adobe-Japan1		;
-%/TBYukinariM-hv	/Adobe-Japan1		;
-%/TBYukinariM-M		/Adobe-Japan1		;
-%/TypeBankG-B		/Adobe-Japan1		;
-%/TypeBankG-DB		/Adobe-Japan1		;
-%/TypeBankG-E		/Adobe-Japan1		;
-%/TypeBankG-hv		/Adobe-Japan1		;
-%/TypeBankG-M		/Adobe-Japan1		;
-%/TypeBankG-R		/Adobe-Japan1		;
-%/TypeBankM-DE		/Adobe-Japan1		;
-%/TypeBankM-E		/Adobe-Japan1		;
-%/TypeBankM-hv		/Adobe-Japan1		;
-%/TypeBankM-M		/Adobe-Japan1		;
+/ChuGothicBBB-Medium	/GothicBBB-Medium	;
+%/ChuGothicBBB-Medium-Mono	/MS-Gothic	; % CIDFnmap.Win, CIDFnmap.OSX
+/FutoGoB101-Bold	/GothicBBB-Medium	;
+%/FutoGoB101-Bold	/HiraKakuPro-W6		; % CIDFnmap.OSX
+/FutoMinA101-Bold	/Ryumin-Light		;
+%/FutoMinA101-Bold	/HiraKakuStd-W8		; % CIDFnmap.OSX
+/GothicMB101-Bold	/GothicBBB-Medium	;
+/GothicMB101-hea	/GothicBBB-Medium	;
+/GothicMB101-Ult	/GothicBBB-Medium	;
+/HeiseiKakuGo-W3	/HeiseiKakuGo-W5	;
+/HeiseiKakuGo-W7	/HeiseiKakuGo-W5	;
+/HeiseiKakuGo-W9	/HeiseiKakuGo-W5	;
+/HeiseiKakuGothic-W5	/HeiseiKakuGo-W5	;
+/HeiseiMaruGo-W4	/HeiseiKakuGo-W5	;
+/HeiseiMin-W5		/HeiseiMin-W3		;
+/HeiseiMin-W7		/HeiseiMin-W3		;
+/HeiseiMin-W9		/HeiseiMin-W3		;
+/HeiseiMincho-W3	/HeiseiMin-W3		;
+/HonMincho-M		/Ryumin-Light		;
+/Jun34-Medium		/Ryumin-Light		;
+/Jun101-Light		/Ryumin-Light		;
+%/Jun101-Light		/HiraMaruPro-W4		; % CIDFnmap.OSX
+/Jun501-Bold		/Ryumin-Light		;
+/KozMin-Bold		/GothicBBB-Medium	;
+/KozMin-ExtraLight	/Ryumin-Light		;
+/KozMin-Heavy		/GothicBBB-Medium	;
+/KozMin-Light		/Ryumin-Light		;
+/KozMin-Medium		/Ryumin-Light		;
+/KyokaICA-Light		/Adobe-Japan1		;
+/KyokaICA-Medium	/Adobe-Japan1		;
+/KyokaICA-regular	/Adobe-Japan1		;
+/LogoArl-Bold		/Adobe-Japan1		;
+/LogoArl-Light		/Adobe-Japan1		;
+/LogoArl-Medium		/Adobe-Japan1		;
+/LogoArl-Ultra		/Adobe-Japan1		;
+/LogoCut-Bold		/Adobe-Japan1		;
+/LogoCut-Light		/Adobe-Japan1		;
+/LogoCut-Medium		/Adobe-Japan1		;
+/LogoCut-Ultra		/Adobe-Japan1		;
+/LogoLine-Bold		/Adobe-Japan1		;
+/LogoLine-Light		/Adobe-Japan1		;
+/LogoLine-Medium	/Adobe-Japan1		;
+/LogoLine-Ultra		/Adobe-Japan1		;
+/MaruGothic-M		/GothicBBB-Medium	;
+/MidashiGo-MB31		/GothicBBB-Medium	;
+/MidashiMin-MA31	/Ryumin-Light		;
+/Osaka			/Ryumin-Light		;
+%/Osaka-Mono		/MS-Mincho		; % CIDFnmap.Win, CIDFnmap.OSX
+/Ryumin-Bold		/Ryumin-Light		;
+/Ryumin-heavy		/Ryumin-Light		;
+/Ryumin-Light-KL	/Ryumin-Light		;
+%/Ryumin-Light-KL-Mono	/MS-Mincho		; % CIDFnmap.Win, CIDFnmap.OSX
+/Ryumin-Medium		/Ryumin-Light		;
+/Ryumin-regular		/Ryumin-Light		;
+/Ryumin-Ultra		/Ryumin-Light		;
+/ShinGo-Bold		/GothicBBB-Medium	;
+/ShinGo-Light		/GothicBBB-Medium	;
+/ShinGo-Medium		/GothicBBB-Medium	;
+/ShinGo-regular		/GothicBBB-Medium	;
+/ShinGo-Ultra		/GothicBBB-Medium	;
+/ShinseiKai-CBSK1	/Ryumin-Light		;
+/TBKomachiG-B		/Adobe-Japan1		;
+/TBKomachiG-DB		/Adobe-Japan1		;
+/TBKomachiG-E		/Adobe-Japan1		;
+/TBKomachiG-hv		/Adobe-Japan1		;
+/TBKomachiG-M		/Adobe-Japan1		;
+/TBKomachiG-R		/Adobe-Japan1		;
+/TBKomachiM-DE		/Adobe-Japan1		;
+/TBKomachiM-E		/Adobe-Japan1		;
+/TBKomachiM-hv		/Adobe-Japan1		;
+/TBKomachiM-M		/Adobe-Japan1		;
+/TBKoudoukenG-B		/Adobe-Japan1		;
+/TBKoudoukenG-DB	/Adobe-Japan1		;
+/TBKoudoukenG-E		/Adobe-Japan1		;
+/TBKoudoukenG-hv	/Adobe-Japan1		;
+/TBKoudoukenG-M		/Adobe-Japan1		;
+/TBKoudoukenG-R		/Adobe-Japan1		;
+/TBKoudoukenM-DE	/Adobe-Japan1		;
+/TBKoudoukenM-E		/Adobe-Japan1		;
+/TBKoudoukenM-hv	/Adobe-Japan1		;
+/TBKoudoukenM-M		/Adobe-Japan1		;
+/TBRyokanG-B		/Adobe-Japan1		;
+/TBRyokanG-DB		/Adobe-Japan1		;
+/TBRyokanG-E		/Adobe-Japan1		;
+/TBRyokanG-hv		/Adobe-Japan1		;
+/TBRyokanG-M		/Adobe-Japan1		;
+/TBRyokanG-R		/Adobe-Japan1		;
+/TBRyokanM-DE		/Adobe-Japan1		;
+/TBRyokanM-E		/Adobe-Japan1		;
+/TBRyokanM-hv		/Adobe-Japan1		;
+/TBRyokanM-M		/Adobe-Japan1		;
+/TBTsukijiG-B		/Adobe-Japan1		;
+/TBTsukijiG-DB		/Adobe-Japan1		;
+/TBTsukijiG-E		/Adobe-Japan1		;
+/TBTsukijiG-hv		/Adobe-Japan1		;
+/TBTsukijiG-M		/Adobe-Japan1		;
+/TBTsukijiG-R		/Adobe-Japan1		;
+/TBTsukijiM-DE		/Adobe-Japan1		;
+/TBTsukijiM-E		/Adobe-Japan1		;
+/TBTsukijiM-hv		/Adobe-Japan1		;
+/TBTsukijiM-M		/Adobe-Japan1		;
+/TBYukinariG-B		/Adobe-Japan1		;
+/TBYukinariG-DB		/Adobe-Japan1		;
+/TBYukinariG-E		/Adobe-Japan1		;
+/TBYukinariG-hv		/Adobe-Japan1		;
+/TBYukinariG-M		/Adobe-Japan1		;
+/TBYukinariG-R		/Adobe-Japan1		;
+/TBYukinariM-DE		/Adobe-Japan1		;
+/TBYukinariM-E		/Adobe-Japan1		;
+/TBYukinariM-hv		/Adobe-Japan1		;
+/TBYukinariM-M		/Adobe-Japan1		;
+/TypeBankG-B		/Adobe-Japan1		;
+/TypeBankG-DB		/Adobe-Japan1		;
+/TypeBankG-E		/Adobe-Japan1		;
+/TypeBankG-hv		/Adobe-Japan1		;
+/TypeBankG-M		/Adobe-Japan1		;
+/TypeBankG-R		/Adobe-Japan1		;
+/TypeBankM-DE		/Adobe-Japan1		;
+/TypeBankM-E		/Adobe-Japan1		;
+/TypeBankM-hv		/Adobe-Japan1		;
+/TypeBankM-M		/Adobe-Japan1		;
 
 %
 % Convenient aliases for PS files on Korean Acrobat Distiller
 %
-%/AppleGothic		/HYGoThic-Medium	;
-%/AppleMyungjo		/HYSMyeongJo-Medium	;
-%/HYSinMyeongJo-Medium	/HYSMyeongJo-Medium	;
-%/JCfg			/Adobe-Korea1		;
-%/JCkg			/Adobe-Korea1		;
-%/Munhwa-Regular	/HYSMyeongJo-Medium	;
-%/MunhwaGothic-Regular	/HYGoThic-Medium	;
-%/SMAgoJ		/HYGoThic-Medium	;
-%/SMAgoK		/HYGoThic-Medium	;
-%/SMAgoSE		/HYGoThic-Medium	;
-%/SMAgoT		/HYGoThic-Medium	;
-%/SMAmu			/HYSMyeongJo-Medium	;
-%/SMAmuK		/HYSMyeongJo-Medium	;
-%/SMAmuSE		/HYSMyeongJo-Medium	;
-%/SMAmuT		/HYSMyeongJo-Medium	;
-%/SMGothic-Bold		/HYGoThic-Medium	;
-%/SMGothic-DemiBold	/HYGoThic-Medium	;
-%/SMGothic-Light	/HYGoThic-Medium	;
-%/SMGothic-Medium	/HYGoThic-Medium	;
-%/SMMyungjo-Bold	/HYSMyeongJo-Medium	;
-%/SMMyungjo-DemiBold	/HYSMyeongJo-Medium	;
-%/SMMyungjo-Light	/HYSMyeongJo-Medium	;
-%/SMMyungjo-Medium	/HYSMyeongJo-Medium	;
-%/SMgoJ			/HYGoThic-Medium	;
-%/SMgoK			/HYGoThic-Medium	;
-%/SMgoSE		/HYGoThic-Medium	;
-%/SMgoT			/HYGoThic-Medium	;
-%/SMmu			/HYSMyeongJo-Medium	;
-%/SMmuK			/HYSMyeongJo-Medium	;
-%/SMmuSE		/HYSMyeongJo-Medium	;
-%/SMmuT			/HYSMyeongJo-Medium	;
-%/Seoul			/Adobe-Korea1		;
+/AppleGothic		/HYGoThic-Medium	;
+/AppleMyungjo		/HYSMyeongJo-Medium	;
+/HYSinMyeongJo-Medium	/HYSMyeongJo-Medium	;
+/JCfg			/Adobe-Korea1		;
+/JCkg			/Adobe-Korea1		;
+/Munhwa-Regular		/HYSMyeongJo-Medium	;
+/MunhwaGothic-Regular	/HYGoThic-Medium	;
+/SMAgoJ			/HYGoThic-Medium	;
+/SMAgoK			/HYGoThic-Medium	;
+/SMAgoSE		/HYGoThic-Medium	;
+/SMAgoT			/HYGoThic-Medium	;
+/SMAmu			/HYSMyeongJo-Medium	;
+/SMAmuK			/HYSMyeongJo-Medium	;
+/SMAmuSE		/HYSMyeongJo-Medium	;
+/SMAmuT			/HYSMyeongJo-Medium	;
+/SMGothic-Bold		/HYGoThic-Medium	;
+/SMGothic-DemiBold	/HYGoThic-Medium	;
+/SMGothic-Light		/HYGoThic-Medium	;
+/SMGothic-Medium	/HYGoThic-Medium	;
+/SMMyungjo-Bold		/HYSMyeongJo-Medium	;
+/SMMyungjo-DemiBold	/HYSMyeongJo-Medium	;
+/SMMyungjo-Light	/HYSMyeongJo-Medium	;
+/SMMyungjo-Medium	/HYSMyeongJo-Medium	;
+/SMgoJ			/HYGoThic-Medium	;
+/SMgoK			/HYGoThic-Medium	;
+/SMgoSE			/HYGoThic-Medium	;
+/SMgoT			/HYGoThic-Medium	;
+/SMmu			/HYSMyeongJo-Medium	;
+/SMmuK			/HYSMyeongJo-Medium	;
+/SMmuSE			/HYSMyeongJo-Medium	;
+/SMmuT			/HYSMyeongJo-Medium	;
+/Seoul			/Adobe-Korea1		;
diff -Naur espgs-7.07.1-orig/lib/CIDFnmap.IPA espgs-7.07.1/lib/CIDFnmap.IPA
--- espgs-7.07.1-orig/lib/CIDFnmap.IPA	1970-01-01 09:00:00.000000000 +0900
+++ espgs-7.07.1/lib/CIDFnmap.IPA	2006-02-26 14:45:41.000000000 +0900
@@ -0,0 +1,15 @@
+%!
+% IPA Mincho
+/IPAMincho (<PREFIX>/lib/X11/fonts/ipafonts/ipam.ttf) ;
+
+% IPA Gothic
+/IPAGothic (<PREFIX>/lib/X11/fonts/ipafonts/ipag.ttf) ;
+
+% IPA Proportional Mincho
+/IPAPMincho (<PREFIX>/lib/X11/fonts/ipafonts/ipamp.ttf) ;
+
+% IPA Proportional Gothic
+/IPAPGothic (<PREFIX>/lib/X11/fonts/ipafonts/ipagp.ttf) ;
+
+% IPA UI Gothic
+/IPAUIGothic (<PREFIX>/lib/X11/fonts/ipafonts/ipagui.ttf);
diff -Naur espgs-7.07.1-orig/lib/CIDFnmap.Koc espgs-7.07.1/lib/CIDFnmap.Koc
--- espgs-7.07.1-orig/lib/CIDFnmap.Koc	2002-04-23 20:58:33.000000000 +0900
+++ espgs-7.07.1/lib/CIDFnmap.Koc	2006-02-26 14:46:00.000000000 +0900
@@ -30,8 +30,8 @@
 %	Kochi-Mincho: Public domain, except for NAGA10 bitmap data
 %	Kochi-Gothic: Wada Lab's font license, except for NAGA10 bitmap data
 %
-%/Kochi-Mincho	(kochi-mincho.ttf)	;
-%/Kochi-Gothic	(kochi-gothic.ttf)	;
+/Kochi-Mincho	(<PREFIX>/lib/X11/fonts/kochi-subst/kochi-mincho-subst.ttf)	;
+/Kochi-Gothic	(<PREFIX>/lib/X11/fonts/kochi-subst/kochi-gothic-subst.ttf)	;
 %
 % Notice: In CID-keyed space of Kochi-Mincho, although you may find that
 % CIDs 7611,7613-7625,7629,7630,11847,12041-12043 are incorrectly
@@ -45,6 +45,6 @@
 %	Kochi-Mincho: Public domain. Designed by Yasuyuki Furukawa.
 %	Kochi-Gothic: Wada Lab's font license.
 %
-/Kochi-Mincho	(Kochi-Mincho)	;
-/Kochi-Gothic	(Kochi-Gothic)	;
+%/Kochi-Mincho	(Kochi-Mincho)	;
+%/Kochi-Gothic	(Kochi-Gothic)	;
 
diff -Naur espgs-7.07.1-orig/lib/CIDFnmap.OSX espgs-7.07.1/lib/CIDFnmap.OSX
--- espgs-7.07.1-orig/lib/CIDFnmap.OSX	1970-01-01 09:00:00.000000000 +0900
+++ espgs-7.07.1/lib/CIDFnmap.OSX	2006-02-26 14:54:00.000000000 +0900
@@ -0,0 +1,41 @@
+%
+% Adobe-CNS1
+%
+/PMingLiU		(<PREFIX>/lib/X11/fonts/applettf/PMingLiU.ttf) ;
+/SimSun-Adobe-CNS1	(<PREFIX>/lib/X11/fonts/applettf/SimSun.ttf)	/Adobe-CNS1-Unicode ;
+/LiHeiPro-Medium	(<PREFIX>/lib/X11/fonts/applettf/儷黑_Pro.ttf) ;
+/LiSongPro-Light	(<PREFIX>/lib/X11/fonts/applettf/儷宋_Pro.ttf) ;
+%
+% Adobe-GB1
+%
+/SimSun			(<PREFIX>/lib/X11/fonts/applettf/SimSun.ttf)	;
+/STHeiti-Regular	(<PREFIX>/lib/X11/fonts/applettf/华文黑体.ttf)	/Adobe-GB1-Unicode ;
+/STHeiti-Light		(<PREFIX>/lib/X11/fonts/applettf/华文细黑.ttf)	/Adobe-GB1-Unicode ;
+/STFangsong-Regular	(<PREFIX>/lib/X11/fonts/applettf/华文仿宋.ttf)	/Adobe-GB1-Unicode ;
+/STSong-Regular		(<PREFIX>/lib/X11/fonts/applettf/华文宋体.ttf)		/Adobe-GB1-Unicode ;
+/STKaiti-Regular	(<PREFIX>/lib/X11/fonts/applettf/华文楷体.ttf)	/Adobe-GB1-Unicode ;
+%
+% Adobe-Japan1
+%
+/MS-Gothic		(<PREFIX>/lib/X11/fonts/applettf/MS_Gothic.ttf) ;
+/MS-PGothic		(<PREFIX>/lib/X11/fonts/applettf/MS_PGothic.ttf) ;
+/MS-Mincho		(<PREFIX>/lib/X11/fonts/applettf/MS_Mincho.ttf) ;
+/MS-PMincho		(<PREFIX>/lib/X11/fonts/applettf/MS_PMincho.ttf) ;
+/HiraKakuPro-W3		(<PREFIX>/lib/X11/fonts/appleotf/HiraKakuPro-W3.otf) ;
+/HiraKakuPro-W6		(<PREFIX>/lib/X11/fonts/appleotf/HiraKakuPro-W6.otf) ;
+/HiraKakuStd-W8		(<PREFIX>/lib/X11/fonts/appleotf/HiraKakuStd-W8.otf) ;
+/HiraMaruPro-W4		(<PREFIX>/lib/X11/fonts/appleotf/HiraMaruPro-W4.otf) ;
+/HiraMinPro-W3		(<PREFIX>/lib/X11/fonts/appleotf/HiraMinPro-W3.otf) ;
+/HiraMinPro-W6		(<PREFIX>/lib/X11/fonts/appleotf/HiraMinPro-W6.otf) ;
+%
+% Adobe-Japan2
+%
+/MS-Gothic-Adobe-Japan2	(<PREFIX>/lib/X11/fonts/applettf/MS_Gothic.ttf)	/Adobe-Japan2 ;
+/MS-PGothic-Adobe-Japan2	(<PREFIX>/lib/X11/fonts/applettf/MS_PGothic.ttf)	/Adobe-Japan2 ;
+/MS-Mincho-Adobe-Japan2	(<PREFIX>/lib/X11/fonts/applettf/MS_Mincho.ttf)	/Adobe-Japan2 ;
+/MS-PMincho-Adobe-Japan2	(<PREFIX>/lib/X11/fonts/applettf/MS_PMincho.ttf)	/Adobe-Japan2 ;
+%
+% Adobe-Korea1
+%
+/Batang		(<PREFIX>/lib/X11/fonts/applettf/Batang.ttf)	;
+/Gulim		(<PREFIX>/lib/X11/fonts/applettf/Gulim.ttf) ;
diff -Naur espgs-7.07.1-orig/lib/CIDFnmap.Saz espgs-7.07.1/lib/CIDFnmap.Saz
--- espgs-7.07.1-orig/lib/CIDFnmap.Saz	1970-01-01 09:00:00.000000000 +0900
+++ espgs-7.07.1/lib/CIDFnmap.Saz	2006-02-26 14:54:32.000000000 +0900
@@ -0,0 +1,6 @@
+%!
+% Sazanami Mincho
+/Sazanami-Mincho-Regular (<PREFIX>/lib/X11/fonts/sazanami/sazanami-mincho.ttf) ;
+
+% Sazanami Gothic
+/Sazanami-Gothic-Regular (<PREFIX>/lib/X11/fonts/sazanami/sazanami-gothic.ttf) ;
--- espgs-7.07.1-orig/finkcups	1970-01-01 09:00:00.000000000 +0900
+++ espgs-7.07.1/finkcups	2007-10-02 09:51:41.000000000 +0900
@@ -0,0 +1,111 @@
+#!/bin/bash
+
+show="/bin/echo"
+run=
+function show_and_run () {
+
+	${show} "$@"
+	${run}  "$@"
+}
+
+function get_cups_location () {
+
+	if type cups-config >/dev/null 2>&1
+	then
+		CUPSSERVER=`cups-config --serverbin`
+		CUPSCONFIG=`cups-config --serverroot`
+		CUPSDATA=`cups-config --datadir`
+	else
+		${show} " * ${0##*/}: Cannot find the command \"cups-config\" in your PATH!"
+		exit 1
+	fi
+}
+
+function backup () {
+
+	if [ -f ${1} ]
+	then
+		show_and_run /bin/mv ${1} ${1}.finksave
+	fi
+}
+
+function restore () {
+
+	if [ -f ${1}.finksave ]
+	then
+		show_and_run /bin/mv ${1}.finksave ${1}
+	fi
+}
+
+function unlink () {
+
+	if [ -L ${1} ]
+	then
+		show_and_run /bin/rm ${1}
+	fi
+}
+
+function make_links () {
+
+	get_cups_location
+
+	/bin/mkdir -p ${CUPSSERVER}/filter
+	for file in <PREFIX>/lib/cups/filter/*
+	do
+		backup ${CUPSSERVER}/filter/${file##*/}
+		show_and_run /bin/ln -s ${file} ${CUPSSERVER}/filter
+	done
+
+	/bin/mkdir -p ${CUPSCONFIG}
+	for file in <PREFIX>/etc/cups/*
+	do
+		backup ${CUPSCONFIG}/${file##*/}
+		show_and_run /bin/ln -s ${file} ${CUPSCONFIG}
+	done
+
+	/bin/mkdir -p ${CUPSDATA}/model
+	/bin/mkdir -p /Library/Printers/PPDs/Contents/Resources
+	for file in <PREFIX>/share/cups/model/*
+	do
+		backup ${CUPSDATA}/model/${file##*/}
+		show_and_run /bin/ln -s ${file} ${CUPSDATA}/model
+		
+		backup /Library/Printers/PPDs/Contents/Resources/${file##*/}
+		show_and_run /bin/ln -s ${file} /Library/Printers/PPDs/Contents/Resources
+	done
+}
+
+function remove_links () {
+
+	get_cups_location
+
+	for file in <PREFIX>/lib/cups/filter/*
+	do
+		unlink  ${CUPSSERVER}/filter/${file##*/}
+		restore ${CUPSSERVER}/filter/${file##*/}
+	done
+
+	for file in <PREFIX>/etc/cups/*
+	do
+		unlink  ${CUPSCONFIG}/${file##*/}
+		restore ${CUPSCONFIG}/${file##*/}
+	done
+
+	for file in <PREFIX>/share/cups/model/*
+	do
+		unlink  ${CUPSDATA}/model/${file##*/}
+		restore ${CUPSDATA}/model/${file##*/}
+		
+		unlink  /Library/Printers/PPDs/Contents/Resources/${file##*/}
+		restore /Library/Printers/PPDs/Contents/Resources/${file##*/}
+	done
+}
+
+case "$1" in
+	add)
+		make_links ;;
+	remove)
+		remove_links ;;
+	*)
+		${show} "usage: ${0##*/} {add|remove}" ;;
+esac
